/* Author: Vaibhav Suryawanshi */
/* Mobile First */
.nav-links {
  display: none;
  flex-direction: column;
  /* background: linear-gradient(135deg, #2f4e74, #3f6fa0); */
  background: #ffffff;
  position: absolute;
  top: 70px;
  /* right: 20px; */
  left: 0;
  width: 200px;
  border-radius: 8px;
  padding: 10px;
}

.nav-links.show {
  display: flex;
}

.navbar .menu-toggle {
  display: block;
  cursor: pointer;
  font-size: 26px;
  color: #003459;
}

@media (min-width: 1024px) {
  .nav-links {
    display: flex !important;
    position: static;
    flex-direction: row;
    background: none;
    width: auto;
    padding: 0;
  }
  .navbar .menu-toggle {
    display: none;
  }
}

.hero h1 {
  font-size: 34px;
}

.hero p {
  font-size: 16px;
}

/* ===== Responsive Adjustments ===== */

/* Large Tablets & Small Laptops */
@media (max-width: 1200px) {
  .hero-content h1 {
    font-size: 28px;
  }
  .hero-content p {
    font-size: 14px;
  }
  .banner-text {
    font-size: 20px;
    width: 90%;
  }
  .mapwrapper {
    width: 50%;
  }
}

/* Tablets */
@media (max-width: 992px) {
  .navbar {
    flex-direction: row;
    gap: 15px;
  }
  .nav-links {
    flex-wrap: wrap;
    justify-content: left;
    gap: 15px;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.25);
  }
  .hero-wrapper {
    flex-direction: column;
    text-align: center;
  }
  .grid {
    grid-template-columns: 1fr;
  }
  .mapnewwrap {
    flex-direction: column;
    align-items: center;
  }
  .mapwrapper {
    width: 80%;
  }
  .map-loc-listblk {
    margin: 30px 0 0 0;
  }
}

/* Mobiles */
@media (max-width: 768px) {
  header {
    padding: 10px 20px;
  }
  .logo img {
    height: 35px;
  }
  .hero-content h1 {
    font-size: 20px;
  }
  .hero-content p {
    font-size: 12px;
  }
  .banner-text {
    font-size: 14px;
    padding: 15px;
    bottom: 10%;
  }
  section {
    padding: 40px 20px;
  }
  h2 {
    font-size: 18px;
  }
  .usp-container {
    flex-direction: column;
    align-items: center;
  }
  .usp-item {
    min-width: 245px;
  }
  .contact-left,
  .contact-right {
    width: 100%;
  }
  .contact-form-wrap {
    padding: 25px;
  }
  .inner-bannertxt-blk {
    padding: 12px;
  }
  .banner-heading {
    font-size: 12px;
    line-height: 16px;
  }
  .about p,
  .expertise p,
  .clients p {
    font-size: 14px;
    font-weight: 600;
    line-height: 1.7;
    margin: 36px 0px 50px 0px;
  }

  .about p {
    font-size: 14px;
    font-weight: 600;
    line-height: 1.7;
    margin: 0px 0px 50px 0px;
  }

  .mattroi-info p {
    text-align: left;
    font-size: 14px;
  }

  .about-card li {
    font-size: 14px;
  }

  section {
    padding: 30px 40px 0px 40px;
    text-align: start;
    margin: 0px 0 30px 0;
  }

  section h2 {
    text-align: center;
  }

  .vision-mission p {
    font-size: 14px;
    text-align: left;
  }

  /* marquee {
    font-size: 16px;
  } */
  /* marquee .title-img {
    margin-left: 4px;
    width: 68px;
    height: 18px;
    margin-bottom: 7px;
  } */
}

/* Small Mobiles */
@media (max-width: 576px) {
  /* marquee {
    font-size: 16px;
  } */
  /* marquee .title-img {
    margin-left: 4px;
    width: 68px;
    height: 18px;
    margin-bottom: 7px;
  } */
  .banner-text {
    font-size: 9px;
    padding: 10px;
    width: 95%;
  }
  .hero-content h1 {
    font-size: 18px;
  }
  .hero-content p {
    font-size: 10px;
  }
  .grid {
    gap: 15px;
  }
  blockquote {
    width: 95%;
    padding: 15px;
  }
  .usp-item {
    font-size: 14px;
    height: auto;
    padding: 12px;
  }
  .mapwrapper {
    width: 100%;
  }
  .footer-container {
    grid-template-columns: 1fr;
  }
  .footer-col {
    text-align: left;
    font-size: 12px;
  }
  .inner-bannertxt-blk {
    padding: 12px;
  }

  .banner-heading {
    font-size: 12px;
    line-height: 16px;
  }
  .about-card li {
    font-size: 14px;
  }
  .about p,
  .expertise p,
  .clients p {
    font-size: 14px;
    font-weight: 600;
    line-height: 1.7;
    margin: 36px 0px 50px 0px;
  }

  .about p {
    font-size: 14px;
    font-weight: 600;
    line-height: 1.7;
    margin: 0px 0px 25px 0px;
  }

  .mattroi-info p {
    text-align: left;
    font-size: 14px;
  }

  section {
    padding: 30px 40px 0px 40px;
    text-align: start;
    margin: 0px 0 30px 0;
  }

  section h2 {
    text-align: center;
  }

  .vision-mission p {
    font-size: 14px;
    text-align: left;
  }
}
